package main

import "encoding/xml"

type Config struct {
	XMLName  xml.Name  `xml:"config"`
	SyncRefs []SyncRef `xml:"refs>ref"`
	Groups   []Group   `xml:"groups>group"`
}

type Group struct {
	XMLName  xml.Name `xml:"group"`
	ID       string   `xml:"id,attr"`
	Active   bool     `xml:"active,attr"`
	Contains []string `xml:"contains>refID"`
}

type SyncRef struct {
	XMLName  xml.Name `xml:"ref"`
	ID       string   `xml:"id,attr"`
	URI      string
	ReadOnly bool
	Deletes  bool
}
